Bug 1057567 - Review Request: ocltoys - Collection of OpenCL examples focused on Computer Graphics [NEEDINFO]
Review Request: ocltoys - Collection of OpenCL examples focused on Computer G...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-24 06:36 EST by Igor Gnatenko
Modified: 2015-05-13 22:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review?
spacewar: needinfo? (ignatenko)


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2014-01-24 06:36:35 EST
Spec URL: http://ignatenkobrain.fedorapeople.org/for-review/ocltoys.spec
SRPM URL: http://ignatenkobrain.fedorapeople.org/for-review/ocltoys-1.0-4.c1d9aa1798be.fc21.src.rpm
Description: Collection of OpenCL examples focused on Computer Graphics
Fedora Account System Username: ignatenkobrain
Comment 1 Christopher Meng 2014-01-27 01:28:41 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)". Detailed output of licensecheck:

GPL (v2 or later)
-----------------
ocltoys-c1d9aa1798be/jugCLer/animation.cpp
ocltoys-c1d9aa1798be/jugCLer/animation.h
ocltoys-c1d9aa1798be/jugCLer/scene.cpp
ocltoys-c1d9aa1798be/jugCLer/scene.h

GPL (v3 or later)
-----------------
ocltoys-c1d9aa1798be/common/camera.h
ocltoys-c1d9aa1798be/common/ocltoy.cpp
ocltoys-c1d9aa1798be/common/ocltoy.h
ocltoys-c1d9aa1798be/common/opencl.h
ocltoys-c1d9aa1798be/common/utils.cpp
ocltoys-c1d9aa1798be/common/utils.h
ocltoys-c1d9aa1798be/common/vec.h
ocltoys-c1d9aa1798be/common/version.h
ocltoys-c1d9aa1798be/jugCLer/jugCLer.cpp
ocltoys-c1d9aa1798be/juliagpu/juliagpu.cpp
ocltoys-c1d9aa1798be/juliagpu/renderconfig.h
ocltoys-c1d9aa1798be/mandelgpu/mandelgpu.cpp
ocltoys-c1d9aa1798be/smallptgpu/geom.h
ocltoys-c1d9aa1798be/smallptgpu/smallptgpu.cpp

[!]: %build honors applicable compiler flags or justifies otherwise.

Here is a small piece:

cd /builddir/build/BUILD/ocltoys-c1d9aa1798be/build/smallptgpu && /usr/lib/ccache/c++   -DBOOST_ALL_NO_LIB -DBOOST_FILESYSTEM_NO_DEPRECATED -DFREEGLUT_STATIC -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables  -Wall -Wno-long-long -pedantic -msse -msse2 -fPIC -DNDEBUG -O3 -ftree-vectorize -fvariable-expansion-in-unroller -I/builddir/build/BUILD/ocltoys-c1d9aa1798be/include -I/builddir/build/BUILD/ocltoys-c1d9aa1798be/smallptgpu/../common    -o CMakeFiles/smallptgpu.dir/smallptgpu.cpp.o -c /builddir/build/BUILD/ocltoys-c1d9aa1798be/smallptgpu/smallptgpu.cpp

%optflags overrided by

-Wall -Wno-long-long -pedantic -msse -msse2 -fPIC -DNDEBUG -O3 -ftree-vectorize -fvariable-expansion-in-unroller.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ocltoys-1.0-4.c1d9aa1798be.fc21.i686.rpm
          ocltoys-1.0-4.c1d9aa1798be.fc21.src.rpm
ocltoys.i686: W: no-manual-page-for-binary smallptgpu
ocltoys.i686: W: no-manual-page-for-binary mandelgpu
ocltoys.i686: W: no-manual-page-for-binary juliagpu
ocltoys.i686: W: no-manual-page-for-binary jugCLer
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Requires
--------
ocltoys (rpmlib, GLIBC filtered):
    libGL.so.1
    libGLU.so.1
    libOpenCL.so.1
    libOpenCL.so.1(OPENCL_1.0)
    libOpenCL.so.1(OPENCL_1.2)
    libX11.so.6
    libXext.so.6
    libboost_filesystem.so.1.54.0
    libboost_program_options.so.1.54.0
    libboost_regex.so.1.54.0
    libboost_system.so.1.54.0
    libboost_thread.so.1.54.0
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgcc_s.so.1(GCC_4.0.0)
    libglut.so.3
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    pocl
    rtld(GNU_HASH)



Provides
--------
ocltoys:
    ocltoys
    ocltoys(x86-32)



Source checksums
----------------
http://ocltoys.googlecode.com/archive/c1d9aa1798bee961aceed8b511489ef27881f281.zip :
  CHECKSUM(SHA256) this package     : d831fd4e86f05123df168237dbeeeb259f1af8e47369805bdb40c6fd1ba16cda
  CHECKSUM(SHA256) upstream package : 4e74e608a97356247e21964b32b0e68c2b23a0bd0b253304df41f6c6ffe4b379
However, diff -r shows no differences


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn ocltoys-1.0-4.c1d9aa1798be.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Eric Smith 2015-05-13 22:02:53 EDT
Ping?

Note You need to log in before you can comment on or make changes to this bug.